Delete Agent
curl --request DELETE \
--url https://api.example.com/api/agents/{agent_id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.example.com/api/agents/{agent_id}"
headers = {
"X-API-Key": "<x-api-key>",
"X-Organization-Id": "<x-organization-id>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<x-api-key>', 'X-Organization-Id': '<x-organization-id>'}
};
fetch('https://api.example.com/api/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Agent deleted successfully"
}
Agents
Delete Agent
DELETE
/
api
/
agents
/
{agent_id}
Delete Agent
Delete an agent. Agents with assigned phone numbers must be unassigned first.
Headers
string
required
Your API key for authentication.
string
required
The organization ID.
Path Parameters
string
required
The unique identifier of the agent to delete.
Permissions
agents:delete(admin, agent_manager)
Response
boolean
Indicates if the deletion was successful.
string
Human-readable success message.
{
"success": true,
"message": "Agent deleted successfully"
}
⌘I